## rtmpsrc rtmpsrc — Read RTMP streams |

## Synopsis

    struct              GstRTMPSrc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstRTMPSrc

## Implemented Interfaces

GstRTMPSrc implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | rtmp
author | Bastien Nocera <hadess@hadess.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstRTMPSrc

    struct GstRTMPSrc;

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

Location of the RTMP url to read.

Default value: NULL